Enum Class PortOwnerType

java.lang.Object
java.lang.Enum<PortOwnerType>
com.eqixiac.equinix.internetaccess.enums.PortOwnerType
All Implemented Interfaces:
APIParam, Serializable, Comparable<PortOwnerType>, Constable

public enum PortOwnerType extends Enum<PortOwnerType> implements APIParam
Type of entity that owns a patch-panel port in an Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/patchPanels).
  • Enum Constant Details

  • Method Details

    • values

      public static PortOwnerType[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static PortOwnerType valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null